QGIS Application - Bug report #14544
processing- GML output misses CRS
2016-03-21 11:35 AM - Maximilian Krambach

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/QGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22517

Description

When trying to redirect the output of processing vector operations to a gml file, the resulting file has no crs.

Tested with Dissolve, multipart to singlepart and clip.

Associated revisions

Revision 9bc61e77 - 2016-08-11 11:01 PM - Nyall Dawson

[processing] Create vector files using default dataset/layer options

Fixes missing CRS when saving to GML (fix #14544)

History

#1 - 2016-03-23 11:36 AM - Alexander Bruy

Does it works when you use QGIS "Save as..." functionality?

#2 - 2016-03-23 11:53 AM - Maximilian Krambach

- File broken.gml added
- File broken.xsd added

The "save as..." works properly, creating a .gml and a .gfs file, with the correct CRS.

The processing output creates a .gml and a .xsd output. An example (a single rectangle created by dissolve from EPSG:25833) is attached.

#3 - 2016-08-11 02:48 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"9bc61e77c7ab83011f1d9b4425fdf2f94e992ef4".

Files
broken.xsd 1.21 KB 2016-03-23 Maximilian Krambach
broken.gml 1.16 KB 2016-03-23 Maximilian Krambach
